Next Previous Contents

## 3.3 _heapmaxavail

> Function

>   Return the largest block that is available on the heap.

> Header

>   `stdlib.h`

> Declaration

>   `size_t __fastcall__ _heapmaxavail (void);`

> Description

>   The function returns the size of the largest block that may be allocated from the heap using `malloc`.

> Availability

>   cc65

> See also

>   _heapadd, _heapblocksize, _heapmemavail, calloc, free, malloc, realloc

> Example

>   None.

Next Previous Contents